SeExpr

Public Member Functions | Public Attributes | Private Attributes | List of all members
SeExpr2::ExprFuncSimple::ArgHandle Class Reference

`#include <ExprFuncX.h>`

## Public Member Functions
| ArgHandle (int *opData, double *fp, char **c, std::vector< int > &callStack)
template<int d>
Vec< double, d, true > | inFp (int i)
char * | inStr (int i)
int | nargs () const
template<int d>
Vec< double, d, true > | outFpHandle ()
| Return a vector handle which is easier to assign to. More...

## Public Attributes
double & | outFp
char *& | outStr
ExprFuncNode::Data * | data

## Private Attributes
int | _nargs
int * | opData
double * | fp
char ** | c

## Detailed Description

Definition at line 76 of file ExprFuncX.h.

## Constructor & Destructor Documentation

## ◆ ArgHandle()

SeExpr2::ExprFuncSimple::ArgHandle::ArgHandle | ( | int * | opData,
|  | double * | fp,
|  | char ** | c,
|  | std::vector< int > & | callStack
| ) |  |
| inline

Definition at line 78 of file ExprFuncX.h.

## Member Function Documentation

## ◆ inFp()

template<int d>

Vec<double, d, true> SeExpr2::ExprFuncSimple::ArgHandle::inFp | ( | int | i | ) |
| inline

Definition at line 85 of file ExprFuncX.h.

References fp, and opData.

Referenced by SeExpr2::RandFuncX::eval(), SeExpr2::MapFuncX::eval(), SeExpr2::TriplanarFuncX::eval(), SeExpr2::CachedVoronoiFunc::eval(), SeExpr2::CurveFuncX::eval(), SeExpr2::CCurveFuncX::eval(), SeExpr2::GetVar::eval(), SeExpr2::PrintFuncX::eval(), SeExpr2::CurveFuncX::evalConstant(), and SeExpr2::CCurveFuncX::evalConstant().

## ◆ inStr()

char* SeExpr2::ExprFuncSimple::ArgHandle::inStr | ( | int | i | ) |
| inline

Definition at line 88 of file ExprFuncX.h.

References c, and opData.

Referenced by SeExpr2::PrintFuncX::evalConstant().

## ◆ nargs()

int SeExpr2::ExprFuncSimple::ArgHandle::nargs | ( |  | ) | const
| inline

Definition at line 89 of file ExprFuncX.h.

References _nargs.

Referenced by SeExpr2::RandFuncX::eval(), SeExpr2::MapFuncX::eval(), SeExpr2::TriplanarFuncX::eval(), SeExpr2::CachedVoronoiFunc::eval(), SeExpr2::CurveFuncX::evalConstant(), SeExpr2::CCurveFuncX::evalConstant(), and SeExpr2::PrintFuncX::evalConstant().

## ◆ outFpHandle()

template<int d>

Vec<double, d, true> SeExpr2::ExprFuncSimple::ArgHandle::outFpHandle | ( |  | ) |
| inline

Return a vector handle which is easier to assign to.

Definition at line 93 of file ExprFuncX.h.

References outFp.

## Member Data Documentation

## ◆ _nargs

int SeExpr2::ExprFuncSimple::ArgHandle::_nargs
| private

Definition at line 102 of file ExprFuncX.h.

Referenced by nargs().

## ◆ c

char** SeExpr2::ExprFuncSimple::ArgHandle::c
| private

Definition at line 105 of file ExprFuncX.h.

Referenced by inStr().

## ◆ data

ExprFuncNode::Data* SeExpr2::ExprFuncSimple::ArgHandle::data

Definition at line 99 of file ExprFuncX.h.

Referenced by SeExpr2::CachedVoronoiFunc::eval(), SeExpr2::CurveFuncX::eval(), SeExpr2::CCurveFuncX::eval(), SeExpr2::GetVar::eval(), SeExpr2::PrintFuncX::eval(), and SeExpr2LLVMEvalCustomFunction().

## ◆ fp

double* SeExpr2::ExprFuncSimple::ArgHandle::fp
| private

Definition at line 104 of file ExprFuncX.h.

Referenced by inFp().

## ◆ opData

int* SeExpr2::ExprFuncSimple::ArgHandle::opData
| private

Definition at line 103 of file ExprFuncX.h.

Referenced by inFp(), and inStr().

## ◆ outFp

double& SeExpr2::ExprFuncSimple::ArgHandle::outFp

Definition at line 97 of file ExprFuncX.h.

Referenced by SeExpr2::RandFuncX::eval(), BasicExpression::DummyFuncX::eval(), SeExpr2::MapFuncX::eval(), SeExpr2::TriplanarFuncX::eval(), SeExpr2::CurveFuncX::eval(), SeExpr2::CCurveFuncX::eval(), SeExpr2::GetVar::eval(), SeExpr2::PrintFuncX::eval(), and outFpHandle().

## ◆ outStr

char*& SeExpr2::ExprFuncSimple::ArgHandle::outStr

Definition at line 98 of file ExprFuncX.h.

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprFuncX.h